/* Copyright 2006 Sun Microsystems, Inc.  All rights reserved. */

#ifndef SPIX_SPARC_IWORDS_H
#define SPIX_SPARC_IWORDS_H

#pragma ident "@(#)Shade and Spixtools for Solaris 10 v1.0.1"

#ifdef __cplusplus
extern "C" {
#endif

#define SPIX_SPARC_IW_ADD         (0x80000000)
#define SPIX_SPARC_IW_ADDC        (0x80400000)
#define SPIX_SPARC_IW_ADDCC       (0x80800000)
#define SPIX_SPARC_IW_ADDCCC      (0x80c00000)
#define SPIX_SPARC_IW_ALIGNADDR   (0x81b00300)
#define SPIX_SPARC_IW_ALIGNADDRL  (0x81b00340)
#define SPIX_SPARC_IW_AND         (0x80080000)
#define SPIX_SPARC_IW_ANDCC       (0x80880000)
#define SPIX_SPARC_IW_ANDN        (0x80280000)
#define SPIX_SPARC_IW_ANDNCC      (0x80a80000)
#define SPIX_SPARC_IW_ARRAY16     (0x81b00240)
#define SPIX_SPARC_IW_ARRAY32     (0x81b00280)
#define SPIX_SPARC_IW_ARRAY8      (0x81b00200)
#define SPIX_SPARC_IW_BA          (0x10800000)
#define SPIX_SPARC_IW_BAA         (0x30800000)
#define SPIX_SPARC_IW_BCC         (0x1a800000)
#define SPIX_SPARC_IW_BCCA        (0x3a800000)
#define SPIX_SPARC_IW_BCS         (0x0a800000)
#define SPIX_SPARC_IW_BCSA        (0x2a800000)
#define SPIX_SPARC_IW_BE          (0x02800000)
#define SPIX_SPARC_IW_BEA         (0x22800000)
#define SPIX_SPARC_IW_BG          (0x14800000)
#define SPIX_SPARC_IW_BGA         (0x34800000)
#define SPIX_SPARC_IW_BGE         (0x16800000)
#define SPIX_SPARC_IW_BGEA        (0x36800000)
#define SPIX_SPARC_IW_BGU         (0x18800000)
#define SPIX_SPARC_IW_BGUA        (0x38800000)
#define SPIX_SPARC_IW_BL          (0x06800000)
#define SPIX_SPARC_IW_BLA         (0x26800000)
#define SPIX_SPARC_IW_BLE         (0x04800000)
#define SPIX_SPARC_IW_BLEA        (0x24800000)
#define SPIX_SPARC_IW_BLEU        (0x08800000)
#define SPIX_SPARC_IW_BLEUA       (0x28800000)
#define SPIX_SPARC_IW_BN          (0x00800000)
#define SPIX_SPARC_IW_BNA         (0x20800000)
#define SPIX_SPARC_IW_BNE         (0x12800000)
#define SPIX_SPARC_IW_BNEA        (0x32800000)
#define SPIX_SPARC_IW_BNEG        (0x0c800000)
#define SPIX_SPARC_IW_BNEGA       (0x2c800000)
#define SPIX_SPARC_IW_BPAAPN      (0x30400000)
#define SPIX_SPARC_IW_BPAAPT      (0x30480000)
#define SPIX_SPARC_IW_BPAPN       (0x10400000)
#define SPIX_SPARC_IW_BPAPT       (0x10480000)
#define SPIX_SPARC_IW_BPCCAPN     (0x3a400000)
#define SPIX_SPARC_IW_BPCCAPT     (0x3a480000)
#define SPIX_SPARC_IW_BPCCPN      (0x1a400000)
#define SPIX_SPARC_IW_BPCCPT      (0x1a480000)
#define SPIX_SPARC_IW_BPCSAPN     (0x2a400000)
#define SPIX_SPARC_IW_BPCSAPT     (0x2a480000)
#define SPIX_SPARC_IW_BPCSPN      (0x0a400000)
#define SPIX_SPARC_IW_BPCSPT      (0x0a480000)
#define SPIX_SPARC_IW_BPEAPN      (0x22400000)
#define SPIX_SPARC_IW_BPEAPT      (0x22480000)
#define SPIX_SPARC_IW_BPEPN       (0x02400000)
#define SPIX_SPARC_IW_BPEPT       (0x02480000)
#define SPIX_SPARC_IW_BPGAPN      (0x34400000)
#define SPIX_SPARC_IW_BPGAPT      (0x34480000)
#define SPIX_SPARC_IW_BPGPN       (0x14400000)
#define SPIX_SPARC_IW_BPGPT       (0x14480000)
#define SPIX_SPARC_IW_BPGEAPN     (0x36400000)
#define SPIX_SPARC_IW_BPGEAPT     (0x36480000)
#define SPIX_SPARC_IW_BPGEPN      (0x16400000)
#define SPIX_SPARC_IW_BPGEPT      (0x16480000)
#define SPIX_SPARC_IW_BPGUAPN     (0x38400000)
#define SPIX_SPARC_IW_BPGUAPT     (0x38480000)
#define SPIX_SPARC_IW_BPGUPN      (0x18400000)
#define SPIX_SPARC_IW_BPGUPT      (0x18480000)
#define SPIX_SPARC_IW_BPLAPN      (0x26400000)
#define SPIX_SPARC_IW_BPLAPT      (0x26480000)
#define SPIX_SPARC_IW_BPLPN       (0x06400000)
#define SPIX_SPARC_IW_BPLPT       (0x06480000)
#define SPIX_SPARC_IW_BPLEAPN     (0x24400000)
#define SPIX_SPARC_IW_BPLEAPT     (0x24480000)
#define SPIX_SPARC_IW_BPLEPN      (0x04400000)
#define SPIX_SPARC_IW_BPLEPT      (0x04480000)
#define SPIX_SPARC_IW_BPLEUAPN    (0x28400000)
#define SPIX_SPARC_IW_BPLEUAPT    (0x28480000)
#define SPIX_SPARC_IW_BPLEUPN     (0x08400000)
#define SPIX_SPARC_IW_BPLEUPT     (0x08480000)
#define SPIX_SPARC_IW_BPNAPN      (0x20400000)
#define SPIX_SPARC_IW_BPNAPT      (0x20480000)
#define SPIX_SPARC_IW_BPNPN       (0x00400000)
#define SPIX_SPARC_IW_BPNPT       (0x00480000)
#define SPIX_SPARC_IW_BPNEAPN     (0x32400000)
#define SPIX_SPARC_IW_BPNEAPT     (0x32480000)
#define SPIX_SPARC_IW_BPNEPN      (0x12400000)
#define SPIX_SPARC_IW_BPNEPT      (0x12480000)
#define SPIX_SPARC_IW_BPNEGAPN    (0x2c400000)
#define SPIX_SPARC_IW_BPNEGAPT    (0x2c480000)
#define SPIX_SPARC_IW_BPNEGPN     (0x0c400000)
#define SPIX_SPARC_IW_BPNEGPT     (0x0c480000)
#define SPIX_SPARC_IW_BPOS        (0x1c800000)
#define SPIX_SPARC_IW_BPOSA       (0x3c800000)
#define SPIX_SPARC_IW_BPPOSAPN    (0x3c400000)
#define SPIX_SPARC_IW_BPPOSAPT    (0x3c480000)
#define SPIX_SPARC_IW_BPPOSPN     (0x1c400000)
#define SPIX_SPARC_IW_BPPOSPT     (0x1c480000)
#define SPIX_SPARC_IW_BPVCAPN     (0x3e400000)
#define SPIX_SPARC_IW_BPVCAPT     (0x3e480000)
#define SPIX_SPARC_IW_BPVCPN      (0x1e400000)
#define SPIX_SPARC_IW_BPVCPT      (0x1e480000)
#define SPIX_SPARC_IW_BPVSAPN     (0x2e400000)
#define SPIX_SPARC_IW_BPVSAPT     (0x2e480000)
#define SPIX_SPARC_IW_BPVSPN      (0x0e400000)
#define SPIX_SPARC_IW_BPVSPT      (0x0e480000)
#define SPIX_SPARC_IW_BRGEZAPN    (0x2ec00000)
#define SPIX_SPARC_IW_BRGEZAPT    (0x2ec80000)
#define SPIX_SPARC_IW_BRGEZPN     (0x0ec00000)
#define SPIX_SPARC_IW_BRGEZPT     (0x0ec80000)
#define SPIX_SPARC_IW_BRGZAPN     (0x2cc00000)
#define SPIX_SPARC_IW_BRGZAPT     (0x2cc80000)
#define SPIX_SPARC_IW_BRGZPN      (0x0cc00000)
#define SPIX_SPARC_IW_BRGZPT      (0x0cc80000)
#define SPIX_SPARC_IW_BRLEZAPN    (0x24c00000)
#define SPIX_SPARC_IW_BRLEZAPT    (0x24c80000)
#define SPIX_SPARC_IW_BRLEZPN     (0x04c00000)
#define SPIX_SPARC_IW_BRLEZPT     (0x04c80000)
#define SPIX_SPARC_IW_BRLZAPN     (0x26c00000)
#define SPIX_SPARC_IW_BRLZAPT     (0x26c80000)
#define SPIX_SPARC_IW_BRLZPN      (0x06c00000)
#define SPIX_SPARC_IW_BRLZPT      (0x06c80000)
#define SPIX_SPARC_IW_BRNZAPN     (0x2ac00000)
#define SPIX_SPARC_IW_BRNZAPT     (0x2ac80000)
#define SPIX_SPARC_IW_BRNZPN      (0x0ac00000)
#define SPIX_SPARC_IW_BRNZPT      (0x0ac80000)
#define SPIX_SPARC_IW_BRZAPN      (0x22c00000)
#define SPIX_SPARC_IW_BRZAPT      (0x22c80000)
#define SPIX_SPARC_IW_BRZPN       (0x02c00000)
#define SPIX_SPARC_IW_BRZPT       (0x02c80000)
#define SPIX_SPARC_IW_BVC         (0x1e800000)
#define SPIX_SPARC_IW_BVCA        (0x3e800000)
#define SPIX_SPARC_IW_BVS         (0x0e800000)
#define SPIX_SPARC_IW_BVSA        (0x2e800000)
#define SPIX_SPARC_IW_CALL        (0x40000000)
#define SPIX_SPARC_IW_CASA        (0xc1e00000)
#define SPIX_SPARC_IW_CASXA       (0xc1f00000)
#define SPIX_SPARC_IW_DONE        (0x81f00000)
#define SPIX_SPARC_IW_EDGE16      (0x81b00080)
#define SPIX_SPARC_IW_EDGE16L     (0x81b000c0)
#define SPIX_SPARC_IW_EDGE32      (0x81b00100)
#define SPIX_SPARC_IW_EDGE32L     (0x81b00140)
#define SPIX_SPARC_IW_EDGE8       (0x81b00000)
#define SPIX_SPARC_IW_EDGE8L      (0x81b00040)
#define SPIX_SPARC_IW_FABSD       (0x81a00140)
#define SPIX_SPARC_IW_FABSQ       (0x81a00160)
#define SPIX_SPARC_IW_FABSS       (0x81a00120)
#define SPIX_SPARC_IW_FADDD       (0x81a00840)
#define SPIX_SPARC_IW_FADDQ       (0x81a00860)
#define SPIX_SPARC_IW_FADDS       (0x81a00820)
#define SPIX_SPARC_IW_FALIGNDATA  (0x81b00900)
#define SPIX_SPARC_IW_FAND        (0x81b00e00)
#define SPIX_SPARC_IW_FANDNOT1    (0x81b00d00)
#define SPIX_SPARC_IW_FANDNOT1S   (0x81b00d20)
#define SPIX_SPARC_IW_FANDNOT2    (0x81b00c80)
#define SPIX_SPARC_IW_FANDNOT2S   (0x81b00ca0)
#define SPIX_SPARC_IW_FANDS       (0x81b00e20)
#define SPIX_SPARC_IW_FBA         (0x11800000)
#define SPIX_SPARC_IW_FBAA        (0x31800000)
#define SPIX_SPARC_IW_FBE         (0x13800000)
#define SPIX_SPARC_IW_FBEA        (0x33800000)
#define SPIX_SPARC_IW_FBG         (0x0d800000)
#define SPIX_SPARC_IW_FBGA        (0x2d800000)
#define SPIX_SPARC_IW_FBGE        (0x17800000)
#define SPIX_SPARC_IW_FBGEA       (0x37800000)
#define SPIX_SPARC_IW_FBL         (0x09800000)
#define SPIX_SPARC_IW_FBLA        (0x29800000)
#define SPIX_SPARC_IW_FBLE        (0x1b800000)
#define SPIX_SPARC_IW_FBLEA       (0x3b800000)
#define SPIX_SPARC_IW_FBLG        (0x05800000)
#define SPIX_SPARC_IW_FBLGA       (0x25800000)
#define SPIX_SPARC_IW_FBN         (0x01800000)
#define SPIX_SPARC_IW_FBNA        (0x21800000)
#define SPIX_SPARC_IW_FBNE        (0x03800000)
#define SPIX_SPARC_IW_FBNEA       (0x23800000)
#define SPIX_SPARC_IW_FBO         (0x1f800000)
#define SPIX_SPARC_IW_FBOA        (0x3f800000)
#define SPIX_SPARC_IW_FBPAAPN     (0x31400000)
#define SPIX_SPARC_IW_FBPAAPT     (0x31480000)
#define SPIX_SPARC_IW_FBPAPN      (0x11400000)
#define SPIX_SPARC_IW_FBPAPT      (0x11480000)
#define SPIX_SPARC_IW_FBPEAPN     (0x33400000)
#define SPIX_SPARC_IW_FBPEAPT     (0x33480000)
#define SPIX_SPARC_IW_FBPEPN      (0x13400000)
#define SPIX_SPARC_IW_FBPEPT      (0x13480000)
#define SPIX_SPARC_IW_FBPGAPN     (0x2d400000)
#define SPIX_SPARC_IW_FBPGAPT     (0x2d480000)
#define SPIX_SPARC_IW_FBPGPN      (0x0d400000)
#define SPIX_SPARC_IW_FBPGPT      (0x0d480000)
#define SPIX_SPARC_IW_FBPGEAPN    (0x37400000)
#define SPIX_SPARC_IW_FBPGEAPT    (0x37480000)
#define SPIX_SPARC_IW_FBPGEPN     (0x17400000)
#define SPIX_SPARC_IW_FBPGEPT     (0x17480000)
#define SPIX_SPARC_IW_FBPLAPN     (0x29400000)
#define SPIX_SPARC_IW_FBPLAPT     (0x29480000)
#define SPIX_SPARC_IW_FBPLPN      (0x09400000)
#define SPIX_SPARC_IW_FBPLPT      (0x09480000)
#define SPIX_SPARC_IW_FBPLEAPN    (0x3b400000)
#define SPIX_SPARC_IW_FBPLEAPT    (0x3b480000)
#define SPIX_SPARC_IW_FBPLEPN     (0x1b400000)
#define SPIX_SPARC_IW_FBPLEPT     (0x1b480000)
#define SPIX_SPARC_IW_FBPLGAPN    (0x25400000)
#define SPIX_SPARC_IW_FBPLGAPT    (0x25480000)
#define SPIX_SPARC_IW_FBPLGPN     (0x05400000)
#define SPIX_SPARC_IW_FBPLGPT     (0x05480000)
#define SPIX_SPARC_IW_FBPNAPN     (0x21400000)
#define SPIX_SPARC_IW_FBPNAPT     (0x21480000)
#define SPIX_SPARC_IW_FBPNPN      (0x01400000)
#define SPIX_SPARC_IW_FBPNPT      (0x01480000)
#define SPIX_SPARC_IW_FBPNEAPN    (0x23400000)
#define SPIX_SPARC_IW_FBPNEAPT    (0x23480000)
#define SPIX_SPARC_IW_FBPNEPN     (0x03400000)
#define SPIX_SPARC_IW_FBPNEPT     (0x03480000)
#define SPIX_SPARC_IW_FBPOAPN     (0x3f400000)
#define SPIX_SPARC_IW_FBPOAPT     (0x3f480000)
#define SPIX_SPARC_IW_FBPOPN      (0x1f400000)
#define SPIX_SPARC_IW_FBPOPT      (0x1f480000)
#define SPIX_SPARC_IW_FBPUAPN     (0x2f400000)
#define SPIX_SPARC_IW_FBPUAPT     (0x2f480000)
#define SPIX_SPARC_IW_FBPUPN      (0x0f400000)
#define SPIX_SPARC_IW_FBPUPT      (0x0f480000)
#define SPIX_SPARC_IW_FBPUEAPN    (0x35400000)
#define SPIX_SPARC_IW_FBPUEAPT    (0x35480000)
#define SPIX_SPARC_IW_FBPUEPN     (0x15400000)
#define SPIX_SPARC_IW_FBPUEPT     (0x15480000)
#define SPIX_SPARC_IW_FBPUGAPN    (0x2b400000)
#define SPIX_SPARC_IW_FBPUGAPT    (0x2b480000)
#define SPIX_SPARC_IW_FBPUGPN     (0x0b400000)
#define SPIX_SPARC_IW_FBPUGPT     (0x0b480000)
#define SPIX_SPARC_IW_FBPUGEAPN   (0x39400000)
#define SPIX_SPARC_IW_FBPUGEAPT   (0x39480000)
#define SPIX_SPARC_IW_FBPUGEPN    (0x19400000)
#define SPIX_SPARC_IW_FBPUGEPT    (0x19480000)
#define SPIX_SPARC_IW_FBPULAPN    (0x27400000)
#define SPIX_SPARC_IW_FBPULAPT    (0x27480000)
#define SPIX_SPARC_IW_FBPULPN     (0x07400000)
#define SPIX_SPARC_IW_FBPULPT     (0x07480000)
#define SPIX_SPARC_IW_FBPULEAPN   (0x3d400000)
#define SPIX_SPARC_IW_FBPULEAPT   (0x3d480000)
#define SPIX_SPARC_IW_FBPULEPN    (0x1d400000)
#define SPIX_SPARC_IW_FBPULEPT    (0x1d480000)
#define SPIX_SPARC_IW_FBU         (0x0f800000)
#define SPIX_SPARC_IW_FBUA        (0x2f800000)
#define SPIX_SPARC_IW_FBUE        (0x15800000)
#define SPIX_SPARC_IW_FBUEA       (0x35800000)
#define SPIX_SPARC_IW_FBUG        (0x0b800000)
#define SPIX_SPARC_IW_FBUGA       (0x2b800000)
#define SPIX_SPARC_IW_FBUGE       (0x19800000)
#define SPIX_SPARC_IW_FBUGEA      (0x39800000)
#define SPIX_SPARC_IW_FBUL        (0x07800000)
#define SPIX_SPARC_IW_FBULA       (0x27800000)
#define SPIX_SPARC_IW_FBULE       (0x1d800000)
#define SPIX_SPARC_IW_FBULEA      (0x3d800000)
#define SPIX_SPARC_IW_FCMPD       (0x81a80a40)
#define SPIX_SPARC_IW_FCMPED      (0x81a80ac0)
#define SPIX_SPARC_IW_FCMPEQ      (0x81a80ae0)
#define SPIX_SPARC_IW_FCMPEQ16    (0x81b00540)
#define SPIX_SPARC_IW_FCMPEQ32    (0x81b005c0)
#define SPIX_SPARC_IW_FCMPES      (0x81a80aa0)
#define SPIX_SPARC_IW_FCMPGT16    (0x81b00500)
#define SPIX_SPARC_IW_FCMPGT32    (0x81b00580)
#define SPIX_SPARC_IW_FCMPLE16    (0x81b00400)
#define SPIX_SPARC_IW_FCMPLE32    (0x81b00480)
#define SPIX_SPARC_IW_FCMPNE16    (0x81b00440)
#define SPIX_SPARC_IW_FCMPNE32    (0x81b004c0)
#define SPIX_SPARC_IW_FCMPQ       (0x81a80a60)
#define SPIX_SPARC_IW_FCMPS       (0x81a80a20)
#define SPIX_SPARC_IW_FDIVD       (0x81a009c0)
#define SPIX_SPARC_IW_FDIVQ       (0x81a009e0)
#define SPIX_SPARC_IW_FDIVS       (0x81a009a0)
#define SPIX_SPARC_IW_FDMULQ      (0x81a00dc0)
#define SPIX_SPARC_IW_FDTOI       (0x81a01a40)
#define SPIX_SPARC_IW_FDTOQ       (0x81a019c0)
#define SPIX_SPARC_IW_FDTOS       (0x81a018c0)
#define SPIX_SPARC_IW_FDTOX       (0x81a01040)
#define SPIX_SPARC_IW_FEXPAND     (0x81b009a0)
#define SPIX_SPARC_IW_FITOD       (0x81a01900)
#define SPIX_SPARC_IW_FITOQ       (0x81a01980)
#define SPIX_SPARC_IW_FITOS       (0x81a01880)
#define SPIX_SPARC_IW_FLUSH       (0x81d80000)
#define SPIX_SPARC_IW_FLUSHW      (0x81580000)
#define SPIX_SPARC_IW_FMOVD       (0x81a00040)
#define SPIX_SPARC_IW_FMOVDA      (0x81aa2040)
#define SPIX_SPARC_IW_FMOVDCC     (0x81ab6040)
#define SPIX_SPARC_IW_FMOVDCS     (0x81a96040)
#define SPIX_SPARC_IW_FMOVDE      (0x81a86040)
#define SPIX_SPARC_IW_FMOVDFA     (0x81aa0040)
#define SPIX_SPARC_IW_FMOVDFE     (0x81aa4040)
#define SPIX_SPARC_IW_FMOVDFG     (0x81a98040)
#define SPIX_SPARC_IW_FMOVDFGE    (0x81aac040)
#define SPIX_SPARC_IW_FMOVDFL     (0x81a90040)
#define SPIX_SPARC_IW_FMOVDFLE    (0x81ab4040)
#define SPIX_SPARC_IW_FMOVDFLG    (0x81a88040)
#define SPIX_SPARC_IW_FMOVDFN     (0x81a80040)
#define SPIX_SPARC_IW_FMOVDFNE    (0x81a84040)
#define SPIX_SPARC_IW_FMOVDFO     (0x81abc040)
#define SPIX_SPARC_IW_FMOVDFU     (0x81a9c040)
#define SPIX_SPARC_IW_FMOVDFUE    (0x81aa8040)
#define SPIX_SPARC_IW_FMOVDFUG    (0x81a94040)
#define SPIX_SPARC_IW_FMOVDFUGE   (0x81ab0040)
#define SPIX_SPARC_IW_FMOVDFUL    (0x81a8c040)
#define SPIX_SPARC_IW_FMOVDFULE   (0x81ab8040)
#define SPIX_SPARC_IW_FMOVDG      (0x81aaa040)
#define SPIX_SPARC_IW_FMOVDGE     (0x81aae040)
#define SPIX_SPARC_IW_FMOVDGU     (0x81ab2040)
#define SPIX_SPARC_IW_FMOVDL      (0x81a8e040)
#define SPIX_SPARC_IW_FMOVDLE     (0x81a8a040)
#define SPIX_SPARC_IW_FMOVDLEU    (0x81a92040)
#define SPIX_SPARC_IW_FMOVDN      (0x81a82040)
#define SPIX_SPARC_IW_FMOVDNE     (0x81aa6040)
#define SPIX_SPARC_IW_FMOVDNEG    (0x81a9a040)
#define SPIX_SPARC_IW_FMOVDPOS    (0x81aba040)
#define SPIX_SPARC_IW_FMOVDVC     (0x81abe040)
#define SPIX_SPARC_IW_FMOVDVS     (0x81a9e040)
#define SPIX_SPARC_IW_FMOVQ       (0x81a00060)
#define SPIX_SPARC_IW_FMOVQA      (0x81aa2060)
#define SPIX_SPARC_IW_FMOVQCC     (0x81ab6060)
#define SPIX_SPARC_IW_FMOVQCS     (0x81a96060)
#define SPIX_SPARC_IW_FMOVQE      (0x81a86060)
#define SPIX_SPARC_IW_FMOVQFA     (0x81aa0060)
#define SPIX_SPARC_IW_FMOVQFE     (0x81aa4060)
#define SPIX_SPARC_IW_FMOVQFG     (0x81a98060)
#define SPIX_SPARC_IW_FMOVQFGE    (0x81aac060)
#define SPIX_SPARC_IW_FMOVQFL     (0x81a90060)
#define SPIX_SPARC_IW_FMOVQFLE    (0x81ab4060)
#define SPIX_SPARC_IW_FMOVQFLG    (0x81a88060)
#define SPIX_SPARC_IW_FMOVQFN     (0x81a80060)
#define SPIX_SPARC_IW_FMOVQFNE    (0x81a84060)
#define SPIX_SPARC_IW_FMOVQFO     (0x81abc060)
#define SPIX_SPARC_IW_FMOVQFU     (0x81a9c060)
#define SPIX_SPARC_IW_FMOVQFUE    (0x81aa8060)
#define SPIX_SPARC_IW_FMOVQFUG    (0x81a94060)
#define SPIX_SPARC_IW_FMOVQFUGE   (0x81ab0060)
#define SPIX_SPARC_IW_FMOVQFUL    (0x81a8c060)
#define SPIX_SPARC_IW_FMOVQFULE   (0x81ab8060)
#define SPIX_SPARC_IW_FMOVQG      (0x81aaa060)
#define SPIX_SPARC_IW_FMOVQGE     (0x81aae060)
#define SPIX_SPARC_IW_FMOVQGU     (0x81ab2060)
#define SPIX_SPARC_IW_FMOVQL      (0x81a8e060)
#define SPIX_SPARC_IW_FMOVQLE     (0x81a8a060)
#define SPIX_SPARC_IW_FMOVQLEU    (0x81a92060)
#define SPIX_SPARC_IW_FMOVQN      (0x81a82060)
#define SPIX_SPARC_IW_FMOVQNE     (0x81aa6060)
#define SPIX_SPARC_IW_FMOVQNEG    (0x81a9a060)
#define SPIX_SPARC_IW_FMOVQPOS    (0x81aba060)
#define SPIX_SPARC_IW_FMOVQVC     (0x81abe060)
#define SPIX_SPARC_IW_FMOVQVS     (0x81a9e060)
#define SPIX_SPARC_IW_FMOVRDGEZ   (0x81a81cc0)
#define SPIX_SPARC_IW_FMOVRDGZ    (0x81a818c0)
#define SPIX_SPARC_IW_FMOVRDLEZ   (0x81a808c0)
#define SPIX_SPARC_IW_FMOVRDLZ    (0x81a80cc0)
#define SPIX_SPARC_IW_FMOVRDNZ    (0x81a814c0)
#define SPIX_SPARC_IW_FMOVRDZ     (0x81a804c0)
#define SPIX_SPARC_IW_FMOVRQGEZ   (0x81a81ce0)
#define SPIX_SPARC_IW_FMOVRQGZ    (0x81a818e0)
#define SPIX_SPARC_IW_FMOVRQLEZ   (0x81a808e0)
#define SPIX_SPARC_IW_FMOVRQLZ    (0x81a80ce0)
#define SPIX_SPARC_IW_FMOVRQNZ    (0x81a814e0)
#define SPIX_SPARC_IW_FMOVRQZ     (0x81a804e0)
#define SPIX_SPARC_IW_FMOVRSGEZ   (0x81a81ca0)
#define SPIX_SPARC_IW_FMOVRSGZ    (0x81a818a0)
#define SPIX_SPARC_IW_FMOVRSLEZ   (0x81a808a0)
#define SPIX_SPARC_IW_FMOVRSLZ    (0x81a80ca0)
#define SPIX_SPARC_IW_FMOVRSNZ    (0x81a814a0)
#define SPIX_SPARC_IW_FMOVRSZ     (0x81a804a0)
#define SPIX_SPARC_IW_FMOVS       (0x81a00020)
#define SPIX_SPARC_IW_FMOVSA      (0x81aa2020)
#define SPIX_SPARC_IW_FMOVSCC     (0x81ab6020)
#define SPIX_SPARC_IW_FMOVSCS     (0x81a96020)
#define SPIX_SPARC_IW_FMOVSE      (0x81a86020)
#define SPIX_SPARC_IW_FMOVSFA     (0x81aa0020)
#define SPIX_SPARC_IW_FMOVSFE     (0x81aa4020)
#define SPIX_SPARC_IW_FMOVSFG     (0x81a98020)
#define SPIX_SPARC_IW_FMOVSFGE    (0x81aac020)
#define SPIX_SPARC_IW_FMOVSFL     (0x81a90020)
#define SPIX_SPARC_IW_FMOVSFLE    (0x81ab4020)
#define SPIX_SPARC_IW_FMOVSFLG    (0x81a88020)
#define SPIX_SPARC_IW_FMOVSFN     (0x81a80020)
#define SPIX_SPARC_IW_FMOVSFNE    (0x81a84020)
#define SPIX_SPARC_IW_FMOVSFO     (0x81abc020)
#define SPIX_SPARC_IW_FMOVSFU     (0x81a9c020)
#define SPIX_SPARC_IW_FMOVSFUE    (0x81aa8020)
#define SPIX_SPARC_IW_FMOVSFUG    (0x81a94020)
#define SPIX_SPARC_IW_FMOVSFUGE   (0x81ab0020)
#define SPIX_SPARC_IW_FMOVSFUL    (0x81a8c020)
#define SPIX_SPARC_IW_FMOVSFULE   (0x81ab8020)
#define SPIX_SPARC_IW_FMOVSG      (0x81aaa020)
#define SPIX_SPARC_IW_FMOVSGE     (0x81aae020)
#define SPIX_SPARC_IW_FMOVSGU     (0x81ab2020)
#define SPIX_SPARC_IW_FMOVSL      (0x81a8e020)
#define SPIX_SPARC_IW_FMOVSLE     (0x81a8a020)
#define SPIX_SPARC_IW_FMOVSLEU    (0x81a92020)
#define SPIX_SPARC_IW_FMOVSN      (0x81a82020)
#define SPIX_SPARC_IW_FMOVSNE     (0x81aa6020)
#define SPIX_SPARC_IW_FMOVSNEG    (0x81a9a020)
#define SPIX_SPARC_IW_FMOVSPOS    (0x81aba020)
#define SPIX_SPARC_IW_FMOVSVC     (0x81abe020)
#define SPIX_SPARC_IW_FMOVSVS     (0x81a9e020)
#define SPIX_SPARC_IW_FMUL8SUX16  (0x81b006c0)
#define SPIX_SPARC_IW_FMUL8ULX16  (0x81b006e0)
#define SPIX_SPARC_IW_FMUL8X16    (0x81b00620)
#define SPIX_SPARC_IW_FMUL8X16AL  (0x81b006a0)
#define SPIX_SPARC_IW_FMUL8X16AU  (0x81b00660)
#define SPIX_SPARC_IW_FMULD       (0x81a00940)
#define SPIX_SPARC_IW_FMULD8SUX16 (0x81b00700)
#define SPIX_SPARC_IW_FMULD8ULX16 (0x81b00720)
#define SPIX_SPARC_IW_FMULQ       (0x81a00960)
#define SPIX_SPARC_IW_FMULS       (0x81a00920)
#define SPIX_SPARC_IW_FNAND       (0x81b00dc0)
#define SPIX_SPARC_IW_FNANDS      (0x81b00de0)
#define SPIX_SPARC_IW_FNEGD       (0x81a000c0)
#define SPIX_SPARC_IW_FNEGQ       (0x81a000e0)
#define SPIX_SPARC_IW_FNEGS       (0x81a000a0)
#define SPIX_SPARC_IW_FNOR        (0x81b00c40)
#define SPIX_SPARC_IW_FNORS       (0x81b00c60)
#define SPIX_SPARC_IW_FNOT1       (0x81b00d40)
#define SPIX_SPARC_IW_FNOT1S      (0x81b00d60)
#define SPIX_SPARC_IW_FNOT2       (0x81b00cc0)
#define SPIX_SPARC_IW_FNOT2S      (0x81b00ce0)
#define SPIX_SPARC_IW_FONE        (0x81b00fc0)
#define SPIX_SPARC_IW_FONES       (0x81b00fe0)
#define SPIX_SPARC_IW_FOR         (0x81b00f80)
#define SPIX_SPARC_IW_FORNOT1     (0x81b00f40)
#define SPIX_SPARC_IW_FORNOT1S    (0x81b00f60)
#define SPIX_SPARC_IW_FORNOT2     (0x81b00ec0)
#define SPIX_SPARC_IW_FORNOT2S    (0x81b00ee0)
#define SPIX_SPARC_IW_FORS        (0x81b00fa0)
#define SPIX_SPARC_IW_FPACK16     (0x81b00760)
#define SPIX_SPARC_IW_FPACK32     (0x81b00740)
#define SPIX_SPARC_IW_FPACKFIX    (0x81b007a0)
#define SPIX_SPARC_IW_FPADD16     (0x81b00a00)
#define SPIX_SPARC_IW_FPADD16S    (0x81b00a20)
#define SPIX_SPARC_IW_FPADD32     (0x81b00a40)
#define SPIX_SPARC_IW_FPADD32S    (0x81b00a60)
#define SPIX_SPARC_IW_FPMERGE     (0x81b00960)
#define SPIX_SPARC_IW_FPSUB16     (0x81b00a80)
#define SPIX_SPARC_IW_FPSUB16S    (0x81b00aa0)
#define SPIX_SPARC_IW_FPSUB32     (0x81b00ac0)
#define SPIX_SPARC_IW_FPSUB32S    (0x81b00ae0)
#define SPIX_SPARC_IW_FQTOD       (0x81a01960)
#define SPIX_SPARC_IW_FQTOI       (0x81a01a60)
#define SPIX_SPARC_IW_FQTOS       (0x81a018e0)
#define SPIX_SPARC_IW_FQTOX       (0x81a01060)
#define SPIX_SPARC_IW_FSMULD      (0x81a00d20)
#define SPIX_SPARC_IW_FSQRTD      (0x81a00540)
#define SPIX_SPARC_IW_FSQRTQ      (0x81a00560)
#define SPIX_SPARC_IW_FSQRTS      (0x81a00520)
#define SPIX_SPARC_IW_FSRC1       (0x81b00e80)
#define SPIX_SPARC_IW_FSRC1S      (0x81b00ea0)
#define SPIX_SPARC_IW_FSRC2       (0x81b00f00)
#define SPIX_SPARC_IW_FSRC2S      (0x81b00f20)
#define SPIX_SPARC_IW_FSTOD       (0x81a01920)
#define SPIX_SPARC_IW_FSTOI       (0x81a01a20)
#define SPIX_SPARC_IW_FSTOQ       (0x81a019a0)
#define SPIX_SPARC_IW_FSTOX       (0x81a01020)
#define SPIX_SPARC_IW_FSUBD       (0x81a008c0)
#define SPIX_SPARC_IW_FSUBQ       (0x81a008e0)
#define SPIX_SPARC_IW_FSUBS       (0x81a008a0)
#define SPIX_SPARC_IW_FXNOR       (0x81b00e40)
#define SPIX_SPARC_IW_FXNORS      (0x81b00e60)
#define SPIX_SPARC_IW_FXOR        (0x81b00d80)
#define SPIX_SPARC_IW_FXORS       (0x81b00da0)
#define SPIX_SPARC_IW_FXTOD       (0x81a01100)
#define SPIX_SPARC_IW_FXTOQ       (0x81a01180)
#define SPIX_SPARC_IW_FXTOS       (0x81a01080)
#define SPIX_SPARC_IW_FZERO       (0x81b00c00)
#define SPIX_SPARC_IW_FZEROS      (0x81b00c20)
#define SPIX_SPARC_IW_ILLTRAP     (0x00000000)
#define SPIX_SPARC_IW_IMPDEP1     (0x81b00000)
#define SPIX_SPARC_IW_IMPDEP2     (0x81b80000)
#define SPIX_SPARC_IW_JMPL        (0x81c00000)
#define SPIX_SPARC_IW_LDD         (0xc0180000)
#define SPIX_SPARC_IW_LDDA        (0xc0980000)
#define SPIX_SPARC_IW_LDDF        (0xc1180000)
#define SPIX_SPARC_IW_LDDFA       (0xc1980000)
#define SPIX_SPARC_IW_LDF         (0xc1000000)
#define SPIX_SPARC_IW_LDFA        (0xc1800000)
#define SPIX_SPARC_IW_LDFSR       (0xc1080000)
#define SPIX_SPARC_IW_LDQF        (0xc1100000)
#define SPIX_SPARC_IW_LDQFA       (0xc1900000)
#define SPIX_SPARC_IW_LDSB        (0xc0480000)
#define SPIX_SPARC_IW_LDSBA       (0xc0c80000)
#define SPIX_SPARC_IW_LDSH        (0xc0500000)
#define SPIX_SPARC_IW_LDSHA       (0xc0d00000)
#define SPIX_SPARC_IW_LDSTUB      (0xc0680000)
#define SPIX_SPARC_IW_LDSTUBA     (0xc0e80000)
#define SPIX_SPARC_IW_LDSW        (0xc0400000)
#define SPIX_SPARC_IW_LDSWA       (0xc0c00000)
#define SPIX_SPARC_IW_LDUB        (0xc0080000)
#define SPIX_SPARC_IW_LDUBA       (0xc0880000)
#define SPIX_SPARC_IW_LDUH        (0xc0100000)
#define SPIX_SPARC_IW_LDUHA       (0xc0900000)
#define SPIX_SPARC_IW_LDUW        (0xc0000000)
#define SPIX_SPARC_IW_LDUWA       (0xc0800000)
#define SPIX_SPARC_IW_LDX         (0xc0580000)
#define SPIX_SPARC_IW_LDXA        (0xc0d80000)
#define SPIX_SPARC_IW_LDXFSR      (0xc3080000)
#define SPIX_SPARC_IW_MEMBAR      (0x8143c000)
#define SPIX_SPARC_IW_MOVA        (0x81660000)
#define SPIX_SPARC_IW_MOVCC       (0x81674000)
#define SPIX_SPARC_IW_MOVCS       (0x81654000)
#define SPIX_SPARC_IW_MOVE        (0x81644000)
#define SPIX_SPARC_IW_MOVFA       (0x81620000)
#define SPIX_SPARC_IW_MOVFE       (0x81624000)
#define SPIX_SPARC_IW_MOVFG       (0x81618000)
#define SPIX_SPARC_IW_MOVFGE      (0x8162c000)
#define SPIX_SPARC_IW_MOVFL       (0x81610000)
#define SPIX_SPARC_IW_MOVFLE      (0x81634000)
#define SPIX_SPARC_IW_MOVFLG      (0x81608000)
#define SPIX_SPARC_IW_MOVFN       (0x81600000)
#define SPIX_SPARC_IW_MOVFNE      (0x81604000)
#define SPIX_SPARC_IW_MOVFO       (0x8163c000)
#define SPIX_SPARC_IW_MOVFU       (0x8161c000)
#define SPIX_SPARC_IW_MOVFUE      (0x81628000)
#define SPIX_SPARC_IW_MOVFUG      (0x81614000)
#define SPIX_SPARC_IW_MOVFUGE     (0x81630000)
#define SPIX_SPARC_IW_MOVFUL      (0x8160c000)
#define SPIX_SPARC_IW_MOVFULE     (0x81638000)
#define SPIX_SPARC_IW_MOVG        (0x81668000)
#define SPIX_SPARC_IW_MOVGE       (0x8166c000)
#define SPIX_SPARC_IW_MOVGU       (0x81670000)
#define SPIX_SPARC_IW_MOVL        (0x8164c000)
#define SPIX_SPARC_IW_MOVLE       (0x81648000)
#define SPIX_SPARC_IW_MOVLEU      (0x81650000)
#define SPIX_SPARC_IW_MOVN        (0x81640000)
#define SPIX_SPARC_IW_MOVNE       (0x81664000)
#define SPIX_SPARC_IW_MOVNEG      (0x81658000)
#define SPIX_SPARC_IW_MOVPOS      (0x81678000)
#define SPIX_SPARC_IW_MOVRGEZ     (0x81781c00)
#define SPIX_SPARC_IW_MOVRGZ      (0x81781800)
#define SPIX_SPARC_IW_MOVRLEZ     (0x81780800)
#define SPIX_SPARC_IW_MOVRLZ      (0x81780c00)
#define SPIX_SPARC_IW_MOVRNZ      (0x81781400)
#define SPIX_SPARC_IW_MOVRZ       (0x81780400)
#define SPIX_SPARC_IW_MOVVC       (0x8167c000)
#define SPIX_SPARC_IW_MOVVS       (0x8165c000)
#define SPIX_SPARC_IW_MULSCC      (0x81200000)
#define SPIX_SPARC_IW_MULX        (0x80480000)
#define SPIX_SPARC_IW_NOP         (0x01000000)
#define SPIX_SPARC_IW_OR          (0x80100000)
#define SPIX_SPARC_IW_ORCC        (0x80900000)
#define SPIX_SPARC_IW_ORN         (0x80300000)
#define SPIX_SPARC_IW_ORNCC       (0x80b00000)
#define SPIX_SPARC_IW_PDIST       (0x81b007c0)
#define SPIX_SPARC_IW_POPC        (0x81700000)
#define SPIX_SPARC_IW_PREFETCH    (0xc1680000)
#define SPIX_SPARC_IW_PREFETCHA   (0xc1e80000)
#define SPIX_SPARC_IW_RDASI       (0x8140c000)
#define SPIX_SPARC_IW_RDASR       (0x81400000)
#define SPIX_SPARC_IW_RDCCR       (0x81408000)
#define SPIX_SPARC_IW_RDFPRS      (0x81418000)
#define SPIX_SPARC_IW_RDPC        (0x81414000)
#define SPIX_SPARC_IW_RDPR        (0x81500000)
#define SPIX_SPARC_IW_RDTICK      (0x81410000)
#define SPIX_SPARC_IW_RDY         (0x81400000)
#define SPIX_SPARC_IW_RESTORE     (0x81e80000)
#define SPIX_SPARC_IW_RESTORED    (0x83880000)
#define SPIX_SPARC_IW_RETRY       (0x83f00000)
#define SPIX_SPARC_IW_RETURN      (0x81c80000)
#define SPIX_SPARC_IW_SAVE        (0x81e00000)
#define SPIX_SPARC_IW_SAVED       (0x81880000)
#define SPIX_SPARC_IW_SDIV        (0x80780000)
#define SPIX_SPARC_IW_SDIVCC      (0x80f80000)
#define SPIX_SPARC_IW_SDIVX       (0x81680000)
#define SPIX_SPARC_IW_RESERVED_0  (0x00000000)
#define SPIX_SPARC_IW_SETHI       (0x01000000)
#define SPIX_SPARC_IW_SHUTDOWN    (0x81b01000)
#define SPIX_SPARC_IW_SIR         (0x9f802000)
#define SPIX_SPARC_IW_SLL         (0x81280000)
#define SPIX_SPARC_IW_SLLX        (0x81281000)
#define SPIX_SPARC_IW_SMUL        (0x80580000)
#define SPIX_SPARC_IW_SMULCC      (0x80d80000)
#define SPIX_SPARC_IW_SRA         (0x81380000)
#define SPIX_SPARC_IW_SRAX        (0x81381000)
#define SPIX_SPARC_IW_SRL         (0x81300000)
#define SPIX_SPARC_IW_SRLX        (0x81301000)
#define SPIX_SPARC_IW_STB         (0xc0280000)
#define SPIX_SPARC_IW_STBA        (0xc0a80000)
#define SPIX_SPARC_IW_STD         (0xc0380000)
#define SPIX_SPARC_IW_STDA        (0xc0b80000)
#define SPIX_SPARC_IW_STDF        (0xc1380000)
#define SPIX_SPARC_IW_STDFA       (0xc1b80000)
#define SPIX_SPARC_IW_STF         (0xc1200000)
#define SPIX_SPARC_IW_STFA        (0xc1a00000)
#define SPIX_SPARC_IW_STFSR       (0xc1280000)
#define SPIX_SPARC_IW_STH         (0xc0300000)
#define SPIX_SPARC_IW_STHA        (0xc0b00000)
#define SPIX_SPARC_IW_STQF        (0xc1300000)
#define SPIX_SPARC_IW_STQFA       (0xc1b00000)
#define SPIX_SPARC_IW_STW         (0xc0200000)
#define SPIX_SPARC_IW_STWA        (0xc0a00000)
#define SPIX_SPARC_IW_STX         (0xc0700000)
#define SPIX_SPARC_IW_STXA        (0xc0f00000)
#define SPIX_SPARC_IW_STXFSR      (0xc3280000)
#define SPIX_SPARC_IW_SUB         (0x80200000)
#define SPIX_SPARC_IW_SUBC        (0x80600000)
#define SPIX_SPARC_IW_SUBCC       (0x80a00000)
#define SPIX_SPARC_IW_SUBCCC      (0x80e00000)
#define SPIX_SPARC_IW_SWAP        (0xc0780000)
#define SPIX_SPARC_IW_SWAPA       (0xc0f80000)
#define SPIX_SPARC_IW_TA          (0x91d00000)
#define SPIX_SPARC_IW_TADDCC      (0x81000000)
#define SPIX_SPARC_IW_TADDCCTV    (0x81100000)
#define SPIX_SPARC_IW_TCC         (0x9bd00000)
#define SPIX_SPARC_IW_TCS         (0x8bd00000)
#define SPIX_SPARC_IW_TE          (0x83d00000)
#define SPIX_SPARC_IW_TG          (0x95d00000)
#define SPIX_SPARC_IW_TGE         (0x97d00000)
#define SPIX_SPARC_IW_TGU         (0x99d00000)
#define SPIX_SPARC_IW_TL          (0x87d00000)
#define SPIX_SPARC_IW_TLE         (0x85d00000)
#define SPIX_SPARC_IW_TLEU        (0x89d00000)
#define SPIX_SPARC_IW_TN          (0x81d00000)
#define SPIX_SPARC_IW_TNE         (0x93d00000)
#define SPIX_SPARC_IW_TNEG        (0x8dd00000)
#define SPIX_SPARC_IW_TPOSZ       (0x9dd00000)
#define SPIX_SPARC_IW_TSUBCC      (0x81080000)
#define SPIX_SPARC_IW_TSUBCCTV    (0x81180000)
#define SPIX_SPARC_IW_TVC         (0x9fd00000)
#define SPIX_SPARC_IW_TVS         (0x8fd00000)
#define SPIX_SPARC_IW_UDIV        (0x80700000)
#define SPIX_SPARC_IW_UDIVCC      (0x80f00000)
#define SPIX_SPARC_IW_UDIVX       (0x80680000)
#define SPIX_SPARC_IW_UMUL        (0x80500000)
#define SPIX_SPARC_IW_UMULCC      (0x80d00000)
#define SPIX_SPARC_IW_RESERVED_1  (0x00000000)
#define SPIX_SPARC_IW_WRASI       (0x87800000)
#define SPIX_SPARC_IW_WRASR       (0x81800000)
#define SPIX_SPARC_IW_WRCCR       (0x85800000)
#define SPIX_SPARC_IW_WRFPRS      (0x8d800000)
#define SPIX_SPARC_IW_WRPR        (0x81900000)
#define SPIX_SPARC_IW_WRY         (0x81800000)
#define SPIX_SPARC_IW_XNOR        (0x80380000)
#define SPIX_SPARC_IW_XNORCC      (0x80b80000)
#define SPIX_SPARC_IW_XOR         (0x80180000)
#define SPIX_SPARC_IW_XORCC       (0x80980000)

/* VIS3.0 instructions */
#define SPIX_SPARC_IW_BMASK       (0x81b00320)
#define SPIX_SPARC_IW_BSHUFFLE    (0x81b00980)
#define SPIX_SPARC_IW_EDGE16LN    (0x81b00060)
#define SPIX_SPARC_IW_EDGE16N     (0x81b000a0)
#define SPIX_SPARC_IW_EDGE32LN    (0x81b00160)
#define SPIX_SPARC_IW_EDGE32N     (0x81b00120)
#define SPIX_SPARC_IW_EDGE8LN     (0x81b00040)
#define SPIX_SPARC_IW_EDGE8N      (0x81b00020)
#define SPIX_SPARC_IW_FCHKSM16    (0x81b00880)
#define SPIX_SPARC_IW_FLCMPD      (0x81b02a40)
#define SPIX_SPARC_IW_FLCMPS      (0x81b02a20)
#define SPIX_SPARC_IW_FMEAN16     (0x81b00800)
#define SPIX_SPARC_IW_FMERGESP    (0x81b009e0)
#define SPIX_SPARC_IW_FPADDS16    (0x81b00b00)
#define SPIX_SPARC_IW_FPADDS16S   (0x81b00b20)
#define SPIX_SPARC_IW_FPADDS32    (0x81b00b40)
#define SPIX_SPARC_IW_FPADDS32S   (0x81b00b60)
#define SPIX_SPARC_IW_FPMOVC16    (0x81b00940)
#define SPIX_SPARC_IW_FPMOVC32    (0x81b009c0)
#define SPIX_SPARC_IW_FPSUBS16    (0x81b00b80)
#define SPIX_SPARC_IW_FPSUBS16S   (0x81b00ba0)
#define SPIX_SPARC_IW_FPSUBS32    (0x81b00bc0)
#define SPIX_SPARC_IW_FPSUBS32S   (0x81b00be0)
#define SPIX_SPARC_IW_FSHL16      (0x81b00420)
#define SPIX_SPARC_IW_FSHL32      (0x81b004a0)
#define SPIX_SPARC_IW_FSHLAS16    (0x81b00520)
#define SPIX_SPARC_IW_FSHLAS32    (0x81b005a0)
#define SPIX_SPARC_IW_FSHRA16     (0x81b00560)
#define SPIX_SPARC_IW_FSHRA32     (0x81b005e0)
#define SPIX_SPARC_IW_FSHRL16     (0x81b00460)
#define SPIX_SPARC_IW_FSHRL32     (0x81b004c0)
#define SPIX_SPARC_IW_LZD         (0x81b002e0)
#define SPIX_SPARC_IW_RDGSR       (0x8144c000)
#define SPIX_SPARC_IW_SFABSS      (0x81b02120)
#define SPIX_SPARC_IW_SFADDS      (0x81b02820)
#define SPIX_SPARC_IW_SFCMPSEQ    (0x81b02e20)
#define SPIX_SPARC_IW_SFCMPSGT    (0x81b02ee0)
#define SPIX_SPARC_IW_SFCMPSLE    (0x81b02e20)
#define SPIX_SPARC_IW_SFCMPSNE    (0x81b02e60)
#define SPIX_SPARC_IW_SFITOS      (0x81b03880)
#define SPIX_SPARC_IW_SFMULS      (0x81b02920)
#define SPIX_SPARC_IW_SFNEGS      (0x81b020a0)
#define SPIX_SPARC_IW_SFSTOI      (0x81b03a20)
#define SPIX_SPARC_IW_SFSUBS      (0x81b028a0)
#define SPIX_SPARC_IW_SIAM        (0x81b01020)
#define SPIX_SPARC_IW_UMULXHI     (0x81b002c0)
#define SPIX_SPARC_IW_WRGSR       (0xa7800000)
#define SPIX_SPARC_IW_ADDXC       (0x81b00220)
#define SPIX_SPARC_IW_ADDXCCC     (0x81b00260)

#define SPIX_SPARC_IW_FMADDS	  (0x81b80020)
#define SPIX_SPARC_IW_FMADDD	  (0x81b80040)
#define SPIX_SPARC_IW_FMSUBS	  (0x81b800a0)
#define SPIX_SPARC_IW_FMSUBD	  (0x81b800c0)
#define SPIX_SPARC_IW_FNMADDS	  (0x81b801a0)
#define SPIX_SPARC_IW_FNMADDD	  (0x81b801c0)
#define SPIX_SPARC_IW_FNMSUBS	  (0x81b80120)
#define SPIX_SPARC_IW_FNMSUBD	  (0x81b80140)

#define SPIX_SPARC_IW_FUMADDS	  (0x81f80020)
#define SPIX_SPARC_IW_FUMADDD	  (0x81f80040)
#define SPIX_SPARC_IW_FUMSUBS	  (0x81f800a0)
#define SPIX_SPARC_IW_FUMSUBD	  (0x81f800c0)
#define SPIX_SPARC_IW_FUNMADDS	  (0x81f801a0)
#define SPIX_SPARC_IW_FUNMADDD	  (0x81f801c0)
#define SPIX_SPARC_IW_FUNMSUBS	  (0x81f80120)
#define SPIX_SPARC_IW_FUNMSUBD	  (0x81f80140)

#define SPIX_SPARC_IW_FPADD64	  (0x81b00840)
#define SPIX_SPARC_IW_FPMOVC8	  (0x81b00920)
#define SPIX_SPARC_IW_FPSUB64	  (0x81b008c0)
#define SPIX_SPARC_IW_FUCMPEQ8	  (0x81b00780)
#define SPIX_SPARC_IW_FUCMPGT8	  (0x81b00680)
#define SPIX_SPARC_IW_FUCMPLE8	  (0x81b00600)
#define SPIX_SPARC_IW_FUCMPNE8	  (0x81b00640)
#define SPIX_SPARC_IW_PDISTN	  (0x81b007e0)

#define SPIX_SPARC_IW_XMULX       (0x81b022a0)
#define SPIX_SPARC_IW_XMULXHI     (0x81b022c0)

#define SPIX_SPARC_IW_WRHPR       (0x81980000)
#define SPIX_SPARC_IW_RDHPR        (0x81480000)

#define SPIX_SPARC_IW_MOVDTOX     (0x81b02200)
#define SPIX_SPARC_IW_MOVSTOUW    (0x81b02220)
#define SPIX_SPARC_IW_MOVSTOSW    (0x81b02260)
#define SPIX_SPARC_IW_MOVXTOD     (0x81b02300)
#define SPIX_SPARC_IW_MOVWTOS     (0x81b02320)

#ifdef __cplusplus
}
#endif

#endif /*SPIX_SPARC_IWORDS_H*/
